<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (berkas) {
      <div>
        <h2 data-cy="berkasDetailsHeading"><span>Berkas</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ berkas.id }}</span>
          </dd>
          <dt><span>Identitas</span></dt>
          <dd>
            <span>{{ berkas.identitas }}</span>
          </dd>
          <dt><span>Kk</span></dt>
          <dd>
            <span>{{ berkas.kk }}</span>
          </dd>
          <dt><span>Ppk</span></dt>
          <dd>
            <span>{{ berkas.ppk }}</span>
          </dd>
          <dt><span>Sk Nasabah</span></dt>
          <dd>
            <span>{{ berkas.skNasabah }}</span>
          </dd>
          <dt><span>Akta Pendirian</span></dt>
          <dd>
            <span>{{ berkas.aktaPendirian }}</span>
          </dd>
          <dt><span>Akta Perubahan</span></dt>
          <dd>
            <span>{{ berkas.aktaPerubahan }}</span>
          </dd>
          <dt><span>Sk Pendirian</span></dt>
          <dd>
            <span>{{ berkas.skPendirian }}</span>
          </dd>
          <dt><span>Sk Perubahan</span></dt>
          <dd>
            <span>{{ berkas.skPerubahan }}</span>
          </dd>
          <dt><span>Npwp</span></dt>
          <dd>
            <span>{{ berkas.npwp }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ berkas.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ berkas.updateOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Upload By</span></dt>
          <dd>
            <span>{{ berkas.uploadBy }}</span>
          </dd>
          <dt><span>Upload On</span></dt>
          <dd>
            <span>{{ berkas.uploadOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Ppk Nomor</span></dt>
          <dd>
            <span>{{ berkas.ppkNomor }}</span>
          </dd>
          <dt><span>Nsb Jenis</span></dt>
          <dd>
            <span>{{ berkas.nsbJenis }}</span>
          </dd>
          <dt><span>Berkas Status</span></dt>
          <dd>
            <span>{{ berkas.berkasStatus }}</span>
          </dd>
          <dt><span>Nama Nasabah</span></dt>
          <dd>
            <span>{{ berkas.namaNasabah }}</span>
          </dd>
          <dt><span>Tanggal Ppk</span></dt>
          <dd>
            <span>{{ berkas.tanggalPpk | formatMediumDate }}</span>
          </dd>
          <dt><span>Metode Kirim</span></dt>
          <dd>
            <span>{{ berkas.metodeKirim }}</span>
          </dd>
          <dt><span>Partition Id</span></dt>
          <dd>
            <span>{{ berkas.partitionId }}</span>
          </dd>
          <dt><span>Verify By</span></dt>
          <dd>
            <span>{{ berkas.verifyBy }}</span>
          </dd>
          <dt><span>Verify On</span></dt>
          <dd>
            <span>{{ berkas.verifyOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Order Type</span></dt>
          <dd>
            <span>{{ berkas.orderType }}</span>
          </dd>
          <dt><span>Remark</span></dt>
          <dd>
            @if (berkas.remark) {
              <div>
                <a [routerLink]="['/remark', berkas.remark.id, 'view']">{{ berkas.remark.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Cabang</span></dt>
          <dd>
            @if (berkas.cabang) {
              <div>
                <a [routerLink]="['/cabang', berkas.cabang.id, 'view']">{{ berkas.cabang.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/berkas', berkas.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
